Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-07-2010 13:03:12

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Système mixte : tentative d'upgrade d'icedove douteuse...

Bonjour à tous,

J'ai installé une machine sous la derniere version stable de debian (lenny donc) et je souhaiterais conserver ce système stable mais utiliser pour une quantité limité de logiciels des versions testing.

Pour cela, j'ai paramétré mon source.list
http://pastebin.com/BbhPwbBa
et mes preferences
http://pastebin.com/Bbrt9t0F

j'ai ensuite (après un aptitude update etc...) lancé une simulation

aptitude install -s -t testing icedove


http://pastebin.com/hyi2bE67


je suis un peu étonné de voir gnome dégager dans l'affaire (bien que je n'utilise pas gnome mais lxde). mes recherches sur le net à propos de systèmes mixtes ne m'ont pas permise de savoir ce que je pouvais attendre de ce type de paramétrage.

Ai-je oublié quelque chose ? Si vous avez des conseils/liens... je suis preneur.

merci d'avance pour votre aide.

Hors ligne

#2 08-07-2010 14:44:32

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Hop !

Pour ton fichier preferences, puisque tu veux rester en stable, je te conseille déjà de mettre tout ce qui est stable en preferrences 900 et tout le reste en priorité négative, -10 pour le reste. Ainsi, tu n'auras que ce que tu demandes qui s'installera.

Pour gnome, c'est un meta paquet qui, lorsqu'il subit des privations d'un de ses éléments propose de se retirer complètement.
Tu peux l'accepter puis le réinstaller en console (car tu perds le bureau) ou bien passer par aptitude :

# aptitude update && aptitude safe-upgrade


Afin de le maintenir par ce biais.

http://debian-facile.org/doc:obsolete:f … references
http://debian-facile.org/doc:systeme:apt:aptitude
http://debian-facile.org/doc:systeme:apt

Lis et tu comprendras davantage ce qui arrive.

Tchap ! smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 08-07-2010 17:31:02

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Pourtant, sur le lien que tu me donnes ( et j'ai déjà lu pas mal de doc...) on y voit :

Pour la branche comportant des paquets de versions supérieures aux versions de la branche suivie principalement

il est recommandé d'attribuer une valeur de preferences entre 1 et 99.


Chose tout à fait en accord avec :
http://forum.debian-fr.org/viewtopic.php?f=8&t=5659

je ne vois pas ce que va m'apporter un -10 alors que les autres sont au dessus de 500...

Je pense que je vais faire des essais pour l'installation de paquets testing sur une autre machine que celle de prod la semaine prochaine. wink


Merci.

Hors ligne

#4 08-07-2010 19:01:55

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Spip,

Le tuto est fait pour toutes les branches, le nombre négatif est une sécurité pour le stable quand tu veux bien t'y tenir ! wink

Amitié, Jojo

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#5 08-07-2010 22:31:21

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

smolski a écrit :

Spip,

Le tuto est fait pour toutes les branches, le nombre négatif est une sécurité pour le stable quand tu veux bien t'y tenir ! wink

Amitié, Jojo


Vu sous cet angle, d'accord smile

Hors ligne

#6 13-07-2010 13:37:49

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Bonjour,

je reviens un peu à la charge après quelques tests supplémentaires à partir d'une installation fraiche stable.

L'idée est d'installer vlc version testing. A l'installation, il propose de mettre udev à jour., mais il échoue.

http://pastebin.com/Na7vzptQ

ce qui au final m'oblige à retirer les paquets testing...

Le système mixte dont certains parlent semble voir rapidement ses limites... sad

Hors ligne

#7 13-07-2010 14:14:05

zodar
Membre
Lieu : A coté d'Avignon
Distrib. : Sidux
Noyau : 2.6.34
(G)UI : XFCE4
Inscription : 24-02-2010
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

aptitude install vlc/testing

ne passerait il pas mieux ?

Hors ligne

#8 13-07-2010 14:38:17

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Zodar, non...

Hors ligne

#9 13-07-2010 14:41:02

zodar
Membre
Lieu : A coté d'Avignon
Distrib. : Sidux
Noyau : 2.6.34
(G)UI : XFCE4
Inscription : 24-02-2010
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

pourtant j'pioche sans problème dans d'autres branches ... dsl je ne vois pas

Dernière modification par zodar (13-07-2010 14:41:23)

Hors ligne

#10 13-07-2010 14:43:58

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Yep !

Si tu as le sources.list du wiki et le preferences sur stable, la commande est :

# aptitude install -t testing <paquet>


puis, si l'application est installée définitivement, de la mettre également dans les préférences : avec une preferences égale à celle de stable, 900 (par rapport au tuto du wiki df toujours).

Tu peux également simuler cette installation pour pouvoir bien lire tout ce qui te sera proposé d'installer avec l'option -s à l'install :

# aptitude install -s -t testing <paquet>


Hop ! big_smile

PS :

Mon essai avec vlc :

# aptitude install -s -t testing vlc
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu      
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait  
Les paquets suivants sont CASSÉS :
  gtk2-engines-pixbuf libavcodec51 libc6-i386 libcaca0 libqt4-network
  libqt4-xml
Les NOUVEAUX paquets suivants vont être installés :
  gcc-4.4-base{a} libass4{a} libavcodec52{a} libavutil50{a} libc-bin{a}
  libcddb2{a} libcdio10{a} libdca0{a} libdirac-encoder0{a} libdvbpsi5{a}
  libdvdread4{a} libenca0{a} libfaad2{a} libgssapi-krb5-2{a}
  libk5crypto3{a} libkrb5-3{a} libkrb5support0{a} liblzma2{a} libmpcdec6{a}
  libopencore-amrnb0{a} libopencore-amrwb0{a} libopenjpeg2{a}
  liborc-0.4-0{a} libraw1394-11{a} libudev0{a} libupnp3{a} libv4l-0{a}
  libva1{a} libvlc2{a} libvlccore2{a} libvpx0{a} libx264-98{a}
  libxcb-keysyms1{a} vlc-data{a} xz-utils{a}
Les paquets suivants seront ENLEVÉS :
  libdirac0{a} libdvbpsi4{u} libvlc0{u} libwxbase2.6-0{u} libwxgtk2.6-0{u}
  libxosd2{u}
Les paquets suivants seront mis à jour :
  dpkg fontconfig-config libatk1.0-0 libavformat52 libavutil49 libblkid1
  libc6 libcups2 libdbus-glib-1-2 libfaac0 libfontconfig1 libfribidi0
  libgcrypt11 libglib2.0-0 libgnutls26 libgpg-error0 libgsm1 libgtk2.0-0
  libmp3lame0 libncurses5 libncursesw5 libnotify1 libpcre3 libpostproc51
  libqtcore4 libqtgui4 libschroedinger-1.0-0 libsdl-image1.2 libstdc++6
  libswscale0 libtasn1-3 libtheora0 libuuid1 libxml2 libxrandr2 locales
  udev util-linux vlc vlc-nox
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
  libatk1.0-data libglib2.0-data qt4-qtconfig uuid-runtime vlc-plugin-pulse
41 paquets mis à jour, 35 nouvellement installés, 6 à enlever et 932 non mis à jour.
Il est nécessaire de télécharger 49,1Mo d'archives. Après dépaquetage, 27,3Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  libcaca0: Est en conflit avec: libcucul0 (< 0.99.beta15) mais 0.99.beta14-1 est installé et a été conservé
  libqt4-network: Dépend: libqtcore4 (= 4.4.3-1+lenny1) mais 4:4.6.3-1 doit être installé.
  libavcodec51: Dépend: libdirac0 (>= 1.0.0) mais il n'est pas installable
  libc6-i386: Dépend: libc6 (= 2.7-18lenny4) mais 2.11.2-2 doit être installé.
  libqt4-xml: Dépend: libqtcore4 (= 4.4.3-1+lenny1) mais 4:4.6.3-1 doit être installé.
  gtk2-engines-pixbuf: Dépend: libgtk2.0-0 (= 2.12.12-1~lenny2) mais 2.20.1-1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

Supprimer les paquets suivants :
mandvd
qdvdauthor
transcode

Mettre à jour les paquets suivants :
gtk2-engines-pixbuf [2.12.12-1~lenny2 (stable, now) -> 2.20.1-1 (testing,
unstable)]
libc6-i386 [2.7-18lenny4 (stable, stable, now) -> 2.11.2-2 (testing, unstable)]
libcucul0 [0.99.beta14-1 (stable, now) -> 0.99.beta17-1 (testing, unstable)]
libqt4-network [4.4.3-1+lenny1 (stable, stable, now) -> 4:4.6.3-1 (testing,
unstable)]
libqt4-xml [4.4.3-1+lenny1 (stable, stable, now) -> 4:4.6.3-1 (testing,
unstable)]
libquicktime1 [3:1.0.3+debian-1.3 (stable, now) -> 3:1.1.5-0.2 (testing,
unstable)]

Réinstaller à une version antérieure les paquets suivants :
ffmpeg [3:20080706-0.3lenny1 (stable, now) -> 0.svn20080206-18+lenny1 (stable,
stable)]
libavcodec51 [3:20080706-0.3lenny1 (stable, now) -> 0.svn20080206-18+lenny1
(stable, stable)]
libavdevice52 [3:20080706-0.3lenny1 (stable, now) -> 0.svn20080206-18+lenny1
(stable, stable)]

Le score est de 291

Accepter cette solution ? [Y/n/q/?]


Je peux te dire qu'il vaudrait mieux que je passe à testing plutôt que de rester en stable avec tout ce fatras de modification ! big_smile

Dernière modification par smolski (13-07-2010 14:50:47)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#11 13-07-2010 14:51:21

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

oui, et bien, cela ne fonctionne pas smile (c'est ce que je fais depuis toujours) il veut modifier udev et libudev chez moi, et pas chez toi.

Dernière modification par Spip (13-07-2010 14:54:15)

Hors ligne

#12 13-07-2010 14:53:32

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Donc, en gros, les histoires de systèmes mixtes sur debian, c'est plus ou moins du mythe, sauf pour installer un paquet qui ne requiert que peu de dépendances et/ou qui peut fonctionner avec les dépendances de la version précédente.

Hors ligne

#13 13-07-2010 14:58:29

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Oui, il vaudait mieux que tu passes en testing pour y arriver on dirait !

C'est cela la limite : si tu tapes sur un truc qui ne s'enfonce bien que dans les branches supérieures, tu vas plier la branche stable par des modifications trop importantes pour le système stable, et tu brises tout le bazard !

Damned ! big_smile

Le mythe, c'est que debian est une utopie où tout se fait, tout passe et rien ne cloche !

En fait, debian est un outil aussi puissant que possible réclamant non des voeux mais une volonté personnelle de l'utilisateur à le configurer avec intelligence et perspicacité.

Au fronton de Debian, il est écrit :

[justify][large]STABLE N'EST STABLE QU'AVEC DU STABLE ![/large][/justify]

Zoupa ! lol

Dernière modification par smolski (13-07-2010 15:03:27)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#14 13-07-2010 15:00:01

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

oki oki. Merci beaucoup smile

Hors ligne

#15 13-07-2010 23:01:18

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

smolski a écrit :

Oui, il vaudait mieux que tu passes en testing pour y arriver on dirait !

C'est cela la limite : si tu tapes sur un truc qui ne s'enfonce bien que dans les branches supérieures, tu vas plier la branche stable par des modifications trop importantes pour le système stable, et tu brises tout le bazard !

Damned ! big_smile

Le mythe, c'est que debian est une utopie où tout se fait, tout passe et rien ne cloche !

En fait, debian est un outil aussi puissant que possible réclamant non des voeux mais une volonté personnelle de l'utilisateur à le configurer avec intelligence et perspicacité.

Au fronton de Debian, il est écrit :

[justify][large]STABLE N'EST STABLE QU'AVEC DU STABLE ![/large][/justify]

Zoupa ! lol


C'est pour cela que je n'ai pas voulu flinguer ma stable en voulant tester les dire de certains (http://www.road2mayotte.org/blog/?p=2623)

ça me semblait bien trop beau de toute façon. big_smile

Hors ligne

#16 14-07-2010 00:50:22

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Ouaip !

Certains logiciels passent sans rien casser, d'autres, souvent du fait des dépendances requises, flinguent radicalement tout le système.

C'est pourquoi que de simuler une installation par l'option -s permet de se faire une idée concrète sans avoir à l'appliquer.

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#17 14-07-2010 01:15:11

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Bonjour,

Je me demande si la mise à jour de udev ne serait pas liée à la mise à jour des paquets de la Lenny.
Dans le premier post, tu nous dis avoir installé une lenny, puis modifié le sources.list et lancé la mise à jour. Je pense qu'il aurait fallu d'abord mettre à jour la Lenny (update + upgrade), puis modifier le sources.list et passer en Testing.

Mais je peux me tromper. smile
@+

Edit: Ça doit pouvoir se vérifier en regardant les versions des paquets.

Edit2: Il existe effectivement la DSA-1772-1 du 16/04/2009 (New udev packages fix privilege escalation) qui correspond à une mise à jour de udev:

DSA-1772-1 a écrit :

For the stable distribution (lenny), these problems have been fixed in version 0.125-7+lenny1.

Dernière modification par tux12 (14-07-2010 02:01:39)

Hors ligne

#18 14-07-2010 07:15:47

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Salut,

hum, bien possible que j'ai sauté l'upgrade sur ma deuxième install... je vais regarder ça dès que j'ai 30 min.

Merci smile

Hors ligne

#19 14-07-2010 22:19:13

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

De retour, c'est bon, j'ai vérifié, j'ai bien la dernière version de udev. et j'ai peu ou proue la même chose que smolski en fait. Je suis certain que si smolski procedait à l'installation (et non à la simulation), il verrai le soucis avec udev.

Bref, j'ai tout de même reussi à avoir icedove/weasel en version testing ce qui me satisfait pour une de mes machines smile

Hors ligne

#20 14-07-2010 22:34:36

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Ah ah ah big_smile

Hors de question que je bazarde mes stables compère ! lol

Amitié, Jojo l'affreux

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#21 14-07-2010 22:36:57

Spip
Membre
Distrib. : Stable
Noyau : 2.6
(G)UI : LXDE
Inscription : 06-12-2008
Site Web

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

smolski a écrit :

Ah ah ah big_smile

Hors de question que je bazarde mes stables compère ! lol

Amitié, Jojo l'affreux


Rhooo.... big_smile  wink

Hors ligne

#22 14-07-2010 22:39:18

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Système mixte : tentative d'upgrade d'icedove douteuse...

Bien essayé tout de même wink

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

Pied de page des forums